import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

/**
 * 根据条件分页查询审查事项对应的前置问题列表
 * @param query
 * @returns {*}
 */
export function listQuestion(query) {
  return request({
    url: '/nasc/question/list',
    method: 'get',
    params: query
  })
}

/**
 * 新增审查事项前置问题
 * @param data
 * @returns {*}
 */
export function addQuestion(data) {
  return request({
    url: '/nasc/question',
    method: 'post',
    data: data
  })
}

/**
 * 修改审查事项前置问题
 * @param data
 * @returns {AxiosPromise}
 */
export function updateQuestion(data) {
  return request({
    url: '/nasc/question',
    method: 'put',
    data: data
  })
}

/**
 * 删除审查事项前置问题
 * @param data
 * @returns {AxiosPromise}
 */
export function delQuestion(id) {
  return request({
    url: '/nasc/question/' + id,
    method: 'delete'
  })
}

/**
 * 根据ID获取前置问题信息
 * @param id
 * @returns {*}
 */
export function getQuestion(id) {
  return request({
    url: '/nasc/question/' + parseStrEmpty(id),
    method: 'get'
  })
}
